# Class GaplessSequence

java.lang.Object
jebl.evolution.sequences.FilteredSequence
jebl.evolution.sequences.GaplessSequence

All Implemented Interfaces:
  `Comparable, Sequence, Attributable`

public class GaplessSequence extends FilteredSequence

Author:
  rambaut Date: Jul 27, 2005 Time: 12:48:31 AM

## Nested Class Summary

### Nested classes/interfaces inherited from interface Attributable

`Attributable.Utils`

## Constructor Summary

Constructors
Constructor
Description
`GaplessSequence(Sequence source)`

## Method Summary

### Methods inherited from class FilteredSequence

`compareTo, getAttribute, getAttributeMap, getAttributeNames, getLength, getSequenceType, getState, getStateIndices, getStates, getString, getTaxon, removeAttribute, setAttribute, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GaplessSequence

public GaplessSequence(Sequence source)